- Qt 5.5
- Qt3D Module
- C++ Classes
- TypedCircularBufferData
- Qt 5.5.1 Reference Documentation

# TypedCircularBufferData Class

(Qt3D::TypedCircularBufferData)

Inherits: | CircularBufferData

- List of all members, including inherited members

## Public Functions

| TypedCircularBufferData()
| TypedCircularBufferData(ForwardIterator f, ForwardIterator l, std::forward_iterator_tag)
| ~TypedCircularBufferData()
T * | allocate(int count)
T * | data() const
void | setData(T * newdata)

### Additional Inherited Members

- 3 protected functions inherited from Qt3D::CircularBufferData

## Member Function Documentation

### TypedCircularBufferData::TypedCircularBufferData()

### TypedCircularBufferData::TypedCircularBufferData(ForwardIterator f, ForwardIterator l, std::forward_iterator_tag)

### TypedCircularBufferData::~TypedCircularBufferData()

### T * TypedCircularBufferData::allocate(int count)

### T * TypedCircularBufferData::data() const

See also setData().

### void TypedCircularBufferData::setData(T * newdata)

See also data().